Metrics
Get time-series tablet metrics
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_branch, delete_branch, create_branch, connect_production_branch, connect_branch
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | read_branches |
| Database | read_branches |
| Branch | read_branch |
GET
Get time-series tablet metrics
Authorizations
Path Parameters
Query Parameters
Metric names to retrieve. Pass as metrics[]=name (repeat for multiple), metrics=name, or a comma-separated list (metrics=name,other). Time range is period (for example 15m) or ISO 8601 from/to.
Available options:
replication_lag, vreplication_lag, pod_cpu_usage, pod_memory_usage, pod_queries, pod_rows_read, pod_iops, pod_ooms, primary_cpu_usage, primary_memory_usage, primary_iops, primary_queries, primary_rows_read, primary_rows_written, shard_storage_usage, shard_storage_available Response
Returns time-series tablet metrics

